﻿
$ErrorActionPreference = 'Stop';

$packageName= 'getiplayer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/get-iplayer/get_iplayer_win32/releases/download/3.27.0/get_iplayer-3.27.0-windows-x86-setup.exe'
$url64      = 'https://github.com/get-iplayer/get_iplayer_win32/releases/download/3.27.0/get_iplayer-3.27.0-windows-x64-setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'getiplayer*'

  checksum      = 'ecd3095425d9231909c7300d73a51878c9406b00e7192d4ceaf388728345f5b6'
  checksumType  = 'sha256'
  checksum64    = '45b9b91320798e98a04f9d4b003e34c229c37b4a444b314d7b42d880ee2b4f40'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
}

Install-ChocolateyPackage @packageArgs
